Page MenuHomePhabricator

Move integration-zuul-layout* jobs to labs slaves
Closed, ResolvedPublic

Description

All of these jobs require 'zuul-server' to be installed, which is why they are currently pinned to gallium. We could use something like tox -e venv ... that jjb-diff currently uses, but that would risk validating against a different version of zuul than is currently running.

Once zuul is packaged, can we just install it on the labs slaves that way?

Event Timeline

Legoktm created this task.Apr 18 2015, 2:02 AM
Legoktm raised the priority of this task from to Normal.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: hashar, Aklapper, Legoktm.
Legoktm renamed this task from Merge integration-zuul-layout* jobs to labs slaves to Move integration-zuul-layout* jobs to labs slaves.Apr 19 2015, 10:31 PM
Legoktm set Security to None.
hashar claimed this task.Apr 20 2015, 1:34 PM

T48552: Create a Debian package for Zuul was made to have zuul-cloner deployed on labs slaves. The package also provides the zuul server. The versions for Precise and Trusty have slight differences in how the python modules are shipped, but we can just tie the job to the same distribution as the Zuul server host.

So it should be all about invoking /usr/bin/zuul-server.

Change 205244 had a related patch set uploaded (by Hashar):
Move integration-zuul-layout* to labs

https://gerrit.wikimedia.org/r/205244

Change 205244 merged by jenkins-bot:
Move integration-zuul-layout* to labs

https://gerrit.wikimedia.org/r/205244

hashar closed this task as Resolved.Apr 20 2015, 1:55 PM